/*****************************************************************************\
*                                                                             *
*  Name   : occurrence                                                        *
*  Author : Chris Koeritz                                                     *
*                                                                             *
*******************************************************************************
* Copyright (c) 1990-$now By Author.  This program is free software; you can  *
* redistribute it and/or modify it under the terms of the GNU General Public  *
* License as published by the Free Software Foundation; either version 2 of   *
* the License or (at your option) any later version.  This is online at:      *
*     http://www.fsf.org/copyleft/gpl.html                                    *
* Please send any updates to: fred@gruntose.com                               *
\*****************************************************************************/

#include "occurrence.h"

void occurrence::pack(byte_array &packed_form) const
{
  _out.pack(packed_form);
  _when.pack(packed_form);
  _operation.pack(packed_form);
  _location.pack(packed_form);
}

bool occurrence::unpack(byte_array &packed_form)
{
  if (!_out.unpack(packed_form)) return false;
  if (!_when.unpack(packed_form)) return false;
  if (!_operation.unpack(packed_form)) return false;
  if (!_location.unpack(packed_form)) return false;
  return true;
}

