#ifndef IMPLEMENTATION_ONLY_GROUP
#define IMPLEMENTATION_ONLY_GROUP

/*****************************************************************************\
*                                                                             *
*  Name   : common implementation needs                                       *
*  Author : Chris Koeritz                                                     *
*                                                                             *
*  Purpose:                                                                   *
*                                                                             *
*    Supplies headers and objects used throughout the library.  This file     *
*  should never be included in a header.                                      *
*                                                                             *
*******************************************************************************
* Copyright (c) 2000-$now By Author.  This program is free software; you can  *
* redistribute it and/or modify it under the terms of the GNU General Public  *
* License as published by the Free Software Foundation; either version 2 of   *
* the License or (at your option) any later version.  This is online at:      *
*     http://www.fsf.org/copyleft/gpl.html                                    *
* Please send any updates to: fred@gruntose.com                               *
\*****************************************************************************/

#include <basis/log_base.h>
#include <basis/utility.h>

// semi-standard macros for debugging...

#undef BASE_LOG
#define BASE_LOG(to_print) EMERGENCY_LOG(program_wide_logger(), to_print)
#define LOG(to_print) CLASS_EMERGENCY_LOG(program_wide_logger(), to_print)

#endif

