#!/bin/bash
# filters out dumb error messages from cp.  this is just a convenience which
# makes the output a little cleaner when using cygwin cp.

FILT1="/^cp:.*Invalid argument$/d"
FILT2="/^cp:.*No such file or directory$/d"
FILT3="/^cp:.*not a file.*$/d"
FILT4="p"

OUTPUT=`cp -p $* 2>&1 | sed -n -e "$FILT1" -e "$FILT2" -e "$FILT3" -e "$FILT4" `
if [ ! -z "$OUTPUT" ]; then echo $OUTPUT; . $CLAM_DIR/exit_make.sh; fi

