/*****************************************************************************\
*                                                                             *
*  Name   : basis library glommer                                             *
*  Author : Chris Koeritz                                                     *
*                                                                             *
*  Purpose:                                                                   *
*                                                                             *
*    Provides access to all the code files in basis to help in building       *
*  statically linked applications.                                            *
*                                                                             *
*******************************************************************************
* Copyright (c) 2000-$now By Author.  This program is free software; you can  *
* redistribute it and/or modify it under the terms of the GNU General Public  *
* License as published by the Free Software Foundation; either version 2 of   *
* the License or (at your option) any later version.  This is online at:      *
*     http://www.fsf.org/copyleft/gpl.html                                    *
* Please send any updates to: fred@gruntose.com                               *
\*****************************************************************************/

#include "byte_array.cpp"
#include "chaos.cpp"
#include "convert_utf.cpp"
#include "definitions.cpp"
#include "earth_time.cpp"
#include "guards.cpp"
#include "istring.cpp"
#include "log_base.cpp"
#include "memory_checker.cpp"
#include "mutex.cpp"
#include "outcome.cpp"
#include "packable.cpp"
#include "portable.cpp"
#include "utility.cpp"
#include "version_checker.cpp"
#include "version_record.cpp"

