/*****************************************************************************\
*                                                                             *
*  Name   : outcome                                                           *
*  Author : Chris Koeritz                                                     *
*                                                                             *
*******************************************************************************
* Copyright (c) 1990-$now By Author.  This program is free software; you can  *
* redistribute it and/or modify it under the terms of the GNU General Public  *
* License as published by the Free Software Foundation; either version 2 of   *
* the License or (at your option) any later version.  This is online at:      *
*     http://www.fsf.org/copyleft/gpl.html                                    *
* Please send any updates to: fred@gruntose.com                               *
\*****************************************************************************/

#include "outcome.h"
#include "packable.h"

void outcome::pack(byte_array &packed_form) const
{ basis::attach(packed_form, _o_value); }

bool outcome::unpack(byte_array &packed_form)
{
  if (!basis::detach(packed_form, _o_value)) return false;
  return true;
}

