/*****************************************************************************\
*                                                                             *
*  Name   : scheduling_common                                                 *
*  Author : Chris Koeritz                                                     *
*                                                                             *
*******************************************************************************
* Copyright (c) 1991-$now By Author.  This program is free software; you can  *
* redistribute it and/or modify it under the terms of the GNU General Public  *
* License as published by the Free Software Foundation; either version 2 of   *
* the License or (at your option) any later version.  This is online at:      *
*     http://www.fsf.org/copyleft/gpl.html                                    *
* Please send any updates to: fred@gruntose.com                               *
\*****************************************************************************/

#include "scheduling_common.h"

const char *scheduling_common::outcome_name(const outcome &to_name)
{
  switch (to_name.value()) {
    case POSTPONE: return "POSTPONE";
    case CANCEL: return "CANCEL";
    case FINISHED: return "FINISHED";
    case MORE_LEFT: return "MORE_LEFT";
    case NO_ACTOR: return "NO_ACTOR";
    default: return common::outcome_name(to_name.value());
  }
}

